"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appendCallback = void 0;
const typescript_transformer_common_1 = require("@build-script/typescript-transformer-common");
function appendCallback(extension, resolver, logger) {
    return (file, node) => {
        const sourceFile = (0, typescript_transformer_common_1.tryGetSourceFile)(node);
        if (!sourceFile) {
            if (file === 'tslib') {
                return file;
            }
            logger.warn('found node no source file import:', file);
            return file;
        }
        const info = resolver.resolve(sourceFile.fileName, file);
        if (!info.success) {
            logger.warn('found un-resolved import:', node.getText(), '\n\tat: ', file);
            return file;
        }
        if (info.isInternal) {
            return file;
        }
        if (info.isNodeModules) {
            return file;
        }
        logger.debug(' -> rename %s to %s', file, info.relativeToSource + extension);
        return info.relativeToSource + extension;
    };
}
exports.appendCallback = appendCallback;
//# sourceMappingURL=appender.cjs.map
