import _build_script_typescript_transformer_common_0 from '@build-script/typescript-transformer-common';
const { IDebug, ModuleResolver, tryGetSourceFile } = _build_script_typescript_transformer_common_0;
export function appendCallback(extension, resolver, logger) {
    return (file, node) => {
        const sourceFile = tryGetSourceFile(node);
        if (!sourceFile) {
            if (file === 'tslib') {
                return file;
            }
            logger.warn('found node no source file import:', file);
            return file;
        }
        const info = resolver.resolve(sourceFile.fileName, file);
        if (!info.success) {
            logger.warn('found un-resolved import:', node.getText(), '\n\tat: ', file);
            return file;
        }
        if (info.isInternal) {
            return file;
        }
        if (info.isNodeModules) {
            return file;
        }
        logger.debug(' -> rename %s to %s', file, info.relativeToSource + extension);
        return info.relativeToSource + extension;
    };
}
//# sourceMappingURL=appender.js.map