import _build_script_typescript_transformer_common_0 from '@build-script/typescript-transformer-common';
const { IDebug, NodeReplacer } = _build_script_typescript_transformer_common_0;
import ts from 'typescript';
export class ImportMetaReplacer extends NodeReplacer {
    replacer;
    kinds = [ts.SyntaxKind.PropertyAccessExpression];
    constructor(replacer) {
        super();
        this.replacer = replacer;
    }
    check(node) {
        return (ts.isPropertyAccessExpression(node) &&
            ts.isMetaProperty(node.expression) &&
            ts.idText(node.expression.name) === 'meta');
    }
    _replace(node, context) {
        return this.replacer(ts.idText(node.name), node, context, this.logger);
    }
    static UrlToFilename(key, _, { factory }) {
        if (key !== 'url') {
            return;
        }
        return factory.createParenthesizedExpression(factory.createBinaryExpression(factory.createStringLiteral('file://'), ts.SyntaxKind.PlusToken, factory.createIdentifier('__filename')));
    }
}
//# sourceMappingURL=importMetaReplacer.js.map